# -*- coding: utf-8 -*-
#
#  Copyright (C) 2014-2015 by Igor E. Novikov
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.

colors = [
    ['RGB', [0.0, 0.0, 0.0], 1.0, 'Black'],
    ['RGB', [0.1, 0.1, 0.1], 1.0, '90% Black'],
    ['RGB', [0.2, 0.2, 0.2], 1.0, '80% Black'],
    ['RGB', [0.3, 0.3, 0.3], 1.0, '70% Black'],
    ['RGB', [0.4, 0.4, 0.4], 1.0, '60% Black'],
    ['RGB', [0.5, 0.5, 0.5], 1.0, '50% Black'],
    ['RGB', [0.6, 0.6, 0.6], 1.0, '40% Black'],
    ['RGB', [0.7, 0.7, 0.7], 1.0, '30% Black'],
    ['RGB', [0.8, 0.8, 0.8], 1.0, '20% Black'],
    ['RGB', [0.9, 0.9, 0.9], 1.0, '10% Black'],
    ['RGB', [1.0, 1.0, 1.0], 1.0, 'White'],
    ['RGB', [1.0, 0.0, 0.0], 1.0, 'Red'],
    ['RGB', [0.0, 1.0, 0.0], 1.0, 'Green'],
    ['RGB', [0.0, 0.0, 1.0], 1.0, 'Blue'],
    ['RGB', [0.0, 1.0, 1.0], 1.0, 'Cyan'],
    ['RGB', [1.0, 0.0, 1.0], 1.0, 'Magenta'],
    ['RGB', [1.0, 1.0, 0.0], 1.0, 'Yellow'],
    ['RGB', [0.5, 0.0, 0.0], 1.0, 'Dark Red'],
    ['RGB', [0.0, 0.5, 0.0], 1.0, 'Dark Green'],
    ['RGB', [0.0, 0.0, 0.5], 1.0, 'Dark Blue'],
    ['RGB', [0.0, 0.5, 0.5], 1.0, 'Dark Cyan'],
    ['RGB', [0.5, 0.0, 0.5], 1.0, 'Dark Magenta'],
    ['RGB', [0.5, 0.5, 0.0], 1.0, 'Dark Yellow'],
    ['RGB', [0.184, 0.31, 0.31], 1.0, 'Dark Slate Gray'],
    ['RGB', [0.412, 0.412, 0.412], 1.0, 'Dim Gray'],
    ['RGB', [0.439, 0.502, 0.565], 1.0, 'Slate Gray'],
    ['RGB', [0.467, 0.533, 0.6], 1.0, 'Light Slate Gray'],
    ['RGB', [0.745, 0.745, 0.745], 1.0, 'Gray'],
    ['RGB', [0.827, 0.827, 0.827], 1.0, 'Light Grey'],
    ['RGB', [0.098, 0.098, 0.439], 1.0, 'Midnight Blue'],
    ['RGB', [0.0, 0.0, 0.502], 1.0, 'Navy'],
    ['RGB', [0.392, 0.584, 0.929], 1.0, 'Cornflower Blue'],
    ['RGB', [0.282, 0.239, 0.545], 1.0, 'Dark Slate Blue'],
    ['RGB', [0.416, 0.353, 0.804], 1.0, 'Slate Blue'],
    ['RGB', [0.482, 0.408, 0.933], 1.0, 'Medium Slate Blue'],
    ['RGB', [0.518, 0.439, 1.0], 1.0, 'Light Slate Blue'],
    ['RGB', [0.0, 0.0, 0.804], 1.0, 'Medium Blue'],
    ['RGB', [0.255, 0.412, 0.882], 1.0, 'Royal Blue'],
    ['RGB', [0.0, 0.0, 1.0], 1.0, 'Blue'],
    ['RGB', [0.118, 0.565, 1.0], 1.0, 'Dodger Blue'],
    ['RGB', [0.0, 0.749, 1.0], 1.0, 'Deep Sky Blue'],
    ['RGB', [0.529, 0.808, 0.922], 1.0, 'Sky Blue'],
    ['RGB', [0.529, 0.808, 0.98], 1.0, 'Light Sky Blue'],
    ['RGB', [0.275, 0.51, 0.706], 1.0, 'Steel Blue'],
    ['RGB', [0.69, 0.769, 0.871], 1.0, 'Light Steel Blue'],
    ['RGB', [0.678, 0.847, 0.902], 1.0, 'Light Blue'],
    ['RGB', [0.69, 0.878, 0.902], 1.0, 'Powder Blue'],
    ['RGB', [0.686, 0.933, 0.933], 1.0, 'Pale Turquoise'],
    ['RGB', [0, 0.808, 0.82], 1.0, 'Dark Turquoise'],
    ['RGB', [0.282, 0.82, 0.8], 1.0, 'Medium Turquoise'],
    ['RGB', [0.251, 0.878, 0.816], 1.0, 'Turquoise'],
    ['RGB', [0.0, 1.0, 1.0], 1.0, 'Cyan'],
    ['RGB', [0.878, 1.0, 1.0], 1.0, 'Light Cyan'],
    ['RGB', [0.373, 0.62, 0.627], 1.0, 'Cadet Blue'],
    ['RGB', [0.4, 0.804, 0.667], 1.0, 'Medium Aquamarine'],
    ['RGB', [0.498, 1.0, 0.831], 1.0, 'Aquamarine'],
    ['RGB', [0, 0.392, 0.0], 1.0, 'Dark Green 2'],
    ['RGB', [0.333, 0.42, 0.184], 1.0, 'Dark Olive Green'],
    ['RGB', [0.561, 0.737, 0.561], 1.0, 'Dark Sea Green'],
    ['RGB', [0.18, 0.545, 0.341], 1.0, 'Sea Green'],
    ['RGB', [0.235, 0.702, 0.443], 1.0, 'Medium Sea Green'],
    ['RGB', [0.125, 0.698, 0.667], 1.0, 'Light Sea Green'],
    ['RGB', [0.596, 0.984, 0.596], 1.0, 'Pale Green'],
    ['RGB', [0.0, 1.0, 0.498], 1.0, 'Spring Green'],
    ['RGB', [0.486, 0.988, 0.0], 1.0, 'Lawn Green'],
    ['RGB', [0.0, 1.0, 0.0], 1.0, 'Green'],
    ['RGB', [0.498, 1.0, 0.0], 1.0, 'Chartreuse'],
    ['RGB', [0.0, 0.98, 0.604], 1.0, 'Medium Spring Green'],
    ['RGB', [0.678, 1.0, 0.184], 1.0, 'Green Yellow'],
    ['RGB', [0.196, 0.804, 0.196], 1.0, 'Lime Green'],
    ['RGB', [0.604, 0.804, 0.196], 1.0, 'Yellow Green'],
    ['RGB', [0.133, 0.545, 0.133], 1.0, 'Forest Green'],
    ['RGB', [0.42, 0.557, 0.137], 1.0, 'Olive Drab'],
    ['RGB', [0.741, 0.718, 0.42], 1.0, 'Dark Khaki'],
    ['RGB', [0.941, 0.902, 0.549], 1.0, 'Khaki'],
    ['RGB', [0.933, 0.91, 0.667], 1.0, 'Pale Goldenrod'],
    ['RGB', [0.98, 0.98, 0.824], 1.0, 'Light Goldenrod Yellow'],
    ['RGB', [1.0, 1.0, 0.878], 1.0, 'Light Yellow'],
    ['RGB', [1.0, 1.0, 0.0], 1.0, 'Yellow'],
    ['RGB', [1.0, 0.843, 0.0], 1.0, 'Gold'],
    ['RGB', [0.933, 0.867, 0.51], 1.0, 'Light Goldenrod'],
    ['RGB', [0.855, 0.647, 0.125], 1.0, 'Goldenrod'],
    ['RGB', [0.722, 0.525, 0.043], 1.0, 'Dark Goldenrod'],
    ['RGB', [0.737, 0.561, 0.561], 1.0, 'Rosy Brown'],
    ['RGB', [0.804, 0.361, 0.361], 1.0, 'Indian Red'],
    ['RGB', [0.545, 0.271, 0.075], 1.0, 'Saddle Brown'],
    ['RGB', [0.627, 0.322, 0.176], 1.0, 'Sienna'],
    ['RGB', [0.804, 0.522, 0.247], 1.0, 'Peru'],
    ['RGB', [0.871, 0.722, 0.529], 1.0, 'Burlywood'],
    ['RGB', [0.961, 0.961, 0.863], 1.0, 'Beige'],
    ['RGB', [0.961, 0.871, 0.702], 1.0, 'Wheat'],
    ['RGB', [0.957, 0.643, 0.376], 1.0, 'Sandy Brown'],
    ['RGB', [0.824, 0.706, 0.549], 1.0, 'Tan'],
    ['RGB', [0.824, 0.412, 0.118], 1.0, 'Chocolate'],
    ['RGB', [0.698, 0.133, 0.133], 1.0, 'Firebrick'],
    ['RGB', [0.647, 0.165, 0.165], 1.0, 'Brown'],
    ['RGB', [0.914, 0.588, 0.478], 1.0, 'Dark Salmon'],
    ['RGB', [0.98, 0.502, 0.447], 1.0, 'Salmon'],
    ['RGB', [1.0, 0.627, 0.478], 1.0, 'Light Salmon'],
    ['RGB', [1.0, 0.647, 0.0], 1.0, 'Orange'],
    ['RGB', [1.0, 0.549, 0.0], 1.0, 'Dark Orange'],
    ['RGB', [1.0, 0.498, 0.314], 1.0, 'Coral'],
    ['RGB', [0.941, 0.502, 0.502], 1.0, 'Light Coral'],
    ['RGB', [1.0, 0.388, 0.278], 1.0, 'Tomato'],
    ['RGB', [1.0, 0.271, 0.0], 1.0, 'Orange Red'],
    ['RGB', [1.0, 0.0, 0.0], 1.0, 'Red'],
    ['RGB', [1.0, 0.412, 0.706], 1.0, 'Hot Pink'],
    ['RGB', [1.0, 0.078, 0.576], 1.0, 'Deep Pink'],
    ['RGB', [1.0, 0.753, 0.796], 1.0, 'Pink'],
    ['RGB', [1.0, 0.714, 0.757], 1.0, 'Light Pink'],
    ['RGB', [0.859, 0.439, 0.576], 1.0, 'Pale Violet Red'],
    ['RGB', [0.69, 0.188, 0.376], 1.0, 'Maroon'],
    ['RGB', [0.78, 0.082, 0.522], 1.0, 'Medium Violet Red'],
    ['RGB', [0.816, 0.125, 0.565], 1.0, 'Violet Red'],
    ['RGB', [1.0, 0.0, 1.0], 1.0, 'Magenta'],
    ['RGB', [0.933, 0.51, 0.933], 1.0, 'Violet'],
    ['RGB', [0.867, 0.627, 0.867], 1.0, 'Plum'],
    ['RGB', [0.855, 0.439, 0.839], 1.0, 'Orchid'],
    ['RGB', [0.729, 0.333, 0.827], 1.0, 'Medium Orchid'],
    ['RGB', [0.6, 0.196, 0.8], 1.0, 'Dark Orchid'],
    ['RGB', [0.58, 0.0, 0.827], 1.0, 'Dark Violet'],
    ['RGB', [0.541, 0.169, 0.886], 1.0, 'Blue Violet'],
    ['RGB', [0.627, 0.125, 0.941], 1.0, 'Purple'],
    ['RGB', [0.576, 0.439, 0.859], 1.0, 'Medium Purple'],
    ['RGB', [0.847, 0.749, 0.847], 1.0, 'Thistle'],
    ['RGB', [0.933, 0.914, 0.914], 1.0, 'Snow2'],
    ['RGB', [0.804, 0.788, 0.788], 1.0, 'Snow3'],
    ['RGB', [0.545, 0.537, 0.537], 1.0, 'Snow4'],
    ['RGB', [0.933, 0.898, 0.871], 1.0, 'Seashell2'],
    ['RGB', [0.804, 0.773, 0.749], 1.0, 'Seashell3'],
    ['RGB', [0.545, 0.525, 0.51], 1.0, 'Seashell4'],
    ['RGB', [1.0, 0.937, 0.859], 1.0, 'AntiqueWhite1'],
    ['RGB', [0.933, 0.875, 0.8], 1.0, 'AntiqueWhite2'],
    ['RGB', [0.804, 0.753, 0.69], 1.0, 'AntiqueWhite3'],
    ['RGB', [0.545, 0.514, 0.471], 1.0, 'AntiqueWhite4'],
    ['RGB', [0.933, 0.835, 0.718], 1.0, 'Bisque2'],
    ['RGB', [0.804, 0.718, 0.62], 1.0, 'Bisque3'],
    ['RGB', [0.545, 0.49, 0.42], 1.0, 'Bisque4'],
    ['RGB', [0.933, 0.796, 0.678], 1.0, 'PeachPuff2'],
    ['RGB', [0.804, 0.686, 0.584], 1.0, 'PeachPuff3'],
    ['RGB', [0.545, 0.467, 0.396], 1.0, 'PeachPuff4'],
    ['RGB', [0.933, 0.812, 0.631], 1.0, 'NavajoWhite2'],
    ['RGB', [0.804, 0.702, 0.545], 1.0, 'NavajoWhite3'],
    ['RGB', [0.545, 0.475, 0.369], 1.0, 'NavajoWhite4'],
    ['RGB', [0.933, 0.914, 0.749], 1.0, 'LemonChiffon2'],
    ['RGB', [0.804, 0.788, 0.647], 1.0, 'LemonChiffon3'],
    ['RGB', [0.545, 0.537, 0.439], 1.0, 'LemonChiffon4'],
    ['RGB', [0.933, 0.91, 0.804], 1.0, 'Cornsilk2'],
    ['RGB', [0.804, 0.784, 0.694], 1.0, 'Cornsilk3'],
    ['RGB', [0.545, 0.533, 0.471], 1.0, 'Cornsilk4'],
    ['RGB', [0.933, 0.933, 0.878], 1.0, 'Ivory2'],
    ['RGB', [0.804, 0.804, 0.757], 1.0, 'Ivory3'],
    ['RGB', [0.545, 0.545, 0.514], 1.0, 'Ivory4'],
    ['RGB', [0.878, 0.933, 0.878], 1.0, 'Honeydew2'],
    ['RGB', [0.757, 0.804, 0.757], 1.0, 'Honeydew3'],
    ['RGB', [0.514, 0.545, 0.514], 1.0, 'Honeydew4'],
    ['RGB', [0.933, 0.878, 0.898], 1.0, 'LavenderBlush2'],
    ['RGB', [0.804, 0.757, 0.773], 1.0, 'LavenderBlush3'],
    ['RGB', [0.545, 0.514, 0.525], 1.0, 'LavenderBlush4'],
    ['RGB', [0.933, 0.835, 0.824], 1.0, 'MistyRose2'],
    ['RGB', [0.804, 0.718, 0.71], 1.0, 'MistyRose3'],
    ['RGB', [0.545, 0.49, 0.482], 1.0, 'MistyRose4'],
    ['RGB', [0.878, 0.933, 0.933], 1.0, 'Azure2'],
    ['RGB', [0.757, 0.804, 0.804], 1.0, 'Azure3'],
    ['RGB', [0.514, 0.545, 0.545], 1.0, 'Azure4'],
    ['RGB', [0.514, 0.435, 1.0], 1.0, 'SlateBlue1'],
    ['RGB', [0.478, 0.404, 0.933], 1.0, 'SlateBlue2'],
    ['RGB', [0.412, 0.349, 0.804], 1.0, 'SlateBlue3'],
    ['RGB', [0.278, 0.235, 0.545], 1.0, 'SlateBlue4'],
    ['RGB', [0.282, 0.463, 1.0], 1.0, 'RoyalBlue1'],
    ['RGB', [0.263, 0.431, 0.933], 1.0, 'RoyalBlue2'],
    ['RGB', [0.227, 0.373, 0.804], 1.0, 'RoyalBlue3'],
    ['RGB', [0.153, 0.251, 0.545], 1.0, 'RoyalBlue4'],
    ['RGB', [0.0, 0.0, 0.933], 1.0, 'Blue2'],
    ['RGB', [0.0, 0.0, 0.545], 1.0, 'Blue4'],
    ['RGB', [0.11, 0.525, 0.933], 1.0, 'DodgerBlue2'],
    ['RGB', [0.094, 0.455, 0.804], 1.0, 'DodgerBlue3'],
    ['RGB', [0.063, 0.306, 0.545], 1.0, 'DodgerBlue4'],
    ['RGB', [0.388, 0.722, 1.0], 1.0, 'SteelBlue1'],
    ['RGB', [0.361, 0.675, 0.933], 1.0, 'SteelBlue2'],
    ['RGB', [0.31, 0.58, 0.804], 1.0, 'SteelBlue3'],
    ['RGB', [0.212, 0.392, 0.545], 1.0, 'SteelBlue4'],
    ['RGB', [0.0, 0.698, 0.933], 1.0, 'DeepSkyBlue2'],
    ['RGB', [0.0, 0.604, 0.804], 1.0, 'DeepSkyBlue3'],
    ['RGB', [0.0, 0.408, 0.545], 1.0, 'DeepSkyBlue4'],
    ['RGB', [0.529, 0.808, 1.0], 1.0, 'SkyBlue1'],
    ['RGB', [0.494, 0.753, 0.933], 1.0, 'SkyBlue2'],
    ['RGB', [0.424, 0.651, 0.804], 1.0, 'SkyBlue3'],
    ['RGB', [0.29, 0.439, 0.545], 1.0, 'SkyBlue4'],
    ['RGB', [0.69, 0.886, 1.0], 1.0, 'LightSkyBlue1'],
    ['RGB', [0.643, 0.827, 0.933], 1.0, 'LightSkyBlue2'],
    ['RGB', [0.553, 0.714, 0.804], 1.0, 'LightSkyBlue3'],
    ['RGB', [0.376, 0.482, 0.545], 1.0, 'LightSkyBlue4'],
    ['RGB', [0.776, 0.886, 1.0], 1.0, 'SlateGray1'],
    ['RGB', [0.725, 0.827, 0.933], 1.0, 'SlateGray2'],
    ['RGB', [0.624, 0.714, 0.804], 1.0, 'SlateGray3'],
    ['RGB', [0.424, 0.482, 0.545], 1.0, 'SlateGray4'],
    ['RGB', [0.792, 0.882, 1.0], 1.0, 'LightSteelBlue1'],
    ['RGB', [0.737, 0.824, 0.933], 1.0, 'LightSteelBlue2'],
    ['RGB', [0.635, 0.71, 0.804], 1.0, 'LightSteelBlue3'],
    ['RGB', [0.431, 0.482, 0.545], 1.0, 'LightSteelBlue4'],
    ['RGB', [0.749, 0.937, 1.0], 1.0, 'LightBlue1'],
    ['RGB', [0.698, 0.875, 0.933], 1.0, 'LightBlue2'],
    ['RGB', [0.604, 0.753, 0.804], 1.0, 'LightBlue3'],
    ['RGB', [0.408, 0.514, 0.545], 1.0, 'LightBlue4'],
    ['RGB', [0.82, 0.933, 0.933], 1.0, 'LightCyan2'],
    ['RGB', [0.706, 0.804, 0.804], 1.0, 'LightCyan3'],
    ['RGB', [0.478, 0.545, 0.545], 1.0, 'LightCyan4'],
    ['RGB', [0.733, 1.0, 1.0], 1.0, 'PaleTurquoise1'],
    ['RGB', [0.682, 0.933, 0.933], 1.0, 'PaleTurquoise2'],
    ['RGB', [0.588, 0.804, 0.804], 1.0, 'PaleTurquoise3'],
    ['RGB', [0.4, 0.545, 0.545], 1.0, 'PaleTurquoise4'],
    ['RGB', [0.596, 0.961, 1.0], 1.0, 'CadetBlue1'],
    ['RGB', [0.557, 0.898, 0.933], 1.0, 'CadetBlue2'],
    ['RGB', [0.478, 0.773, 0.804], 1.0, 'CadetBlue3'],
    ['RGB', [0.325, 0.525, 0.545], 1.0, 'CadetBlue4'],
    ['RGB', [0.0, 0.961, 1.0], 1.0, 'Turquoise1'],
    ['RGB', [0.0, 0.898, 0.933], 1.0, 'Turquoise2'],
    ['RGB', [0.0, 0.773, 0.804], 1.0, 'Turquoise3'],
    ['RGB', [0.0, 0.525, 0.545], 1.0, 'Turquoise4'],
    ['RGB', [0.0, 0.933, 0.933], 1.0, 'cyan2'],
    ['RGB', [0.0, 0.804, 0.804], 1.0, 'cyan3'],
    ['RGB', [0.0, 0.545, 0.545], 1.0, 'cyan4'],
    ['RGB', [0.592, 1.0, 1.0], 1.0, 'DarkSlateGray1'],
    ['RGB', [0.553, 0.933, 0.933], 1.0, 'DarkSlateGray2'],
    ['RGB', [0.475, 0.804, 0.804], 1.0, 'DarkSlateGray3'],
    ['RGB', [0.322, 0.545, 0.545], 1.0, 'DarkSlateGray4'],
    ['RGB', [0.463, 0.933, 0.776], 1.0, 'Aquamarine2'],
    ['RGB', [0.271, 0.545, 0.455], 1.0, 'Aquamarine4'],
    ['RGB', [0.757, 1.0, 0.757], 1.0, 'DarkSeaGreen1'],
    ['RGB', [0.706, 0.933, 0.706], 1.0, 'DarkSeaGreen2'],
    ['RGB', [0.608, 0.804, 0.608], 1.0, 'DarkSeaGreen3'],
    ['RGB', [0.412, 0.545, 0.412], 1.0, 'DarkSeaGreen4'],
    ['RGB', [0.329, 1.0, 0.624], 1.0, 'SeaGreen1'],
    ['RGB', [0.306, 0.933, 0.58], 1.0, 'SeaGreen2'],
    ['RGB', [0.263, 0.804, 0.502], 1.0, 'SeaGreen3'],
    ['RGB', [0.604, 1.0, 0.604], 1.0, 'PaleGreen1'],
    ['RGB', [0.565, 0.933, 0.565], 1.0, 'PaleGreen2'],
    ['RGB', [0.486, 0.804, 0.486], 1.0, 'PaleGreen3'],
    ['RGB', [0.329, 0.545, 0.329], 1.0, 'PaleGreen4'],
    ['RGB', [0.0, 0.933, 0.463], 1.0, 'SpringGreen2'],
    ['RGB', [0.0, 0.804, 0.4], 1.0, 'SpringGreen3'],
    ['RGB', [0.0, 0.545, 0.271], 1.0, 'SpringGreen4'],
    ['RGB', [0.0, 0.933, 0.0], 1.0, 'Green2'],
    ['RGB', [0.0, 0.804, 0.0], 1.0, 'Green3'],
    ['RGB', [0.0, 0.545, 0.0], 1.0, 'Green4'],
    ['RGB', [0.463, 0.933, 0.0], 1.0, 'Chartreuse2'],
    ['RGB', [0.4, 0.804, 0.0], 1.0, 'Chartreuse3'],
    ['RGB', [0.271, 0.545, 0.0], 1.0, 'Chartreuse4'],
    ['RGB', [0.753, 1.0, 0.243], 1.0, 'OliveDrab1'],
    ['RGB', [0.702, 0.933, 0.227], 1.0, 'OliveDrab2'],
    ['RGB', [0.412, 0.545, 0.133], 1.0, 'OliveDrab4'],
    ['RGB', [0.792, 1.0, 0.439], 1.0, 'DarkOliveGreen1'],
    ['RGB', [0.737, 0.933, 0.408], 1.0, 'DarkOliveGreen2'],
    ['RGB', [0.635, 0.804, 0.353], 1.0, 'DarkOliveGreen3'],
    ['RGB', [0.431, 0.545, 0.239], 1.0, 'DarkOliveGreen4'],
    ['RGB', [1.0, 0.965, 0.561], 1.0, 'Khaki1'],
    ['RGB', [0.933, 0.902, 0.522], 1.0, 'Khaki2'],
    ['RGB', [0.804, 0.776, 0.451], 1.0, 'Khaki3'],
    ['RGB', [0.545, 0.525, 0.306], 1.0, 'Khaki4'],
    ['RGB', [1.0, 0.925, 0.545], 1.0, 'LightGoldenrod1'],
    ['RGB', [0.933, 0.863, 0.51], 1.0, 'LightGoldenrod2'],
    ['RGB', [0.804, 0.745, 0.439], 1.0, 'LightGoldenrod3'],
    ['RGB', [0.545, 0.506, 0.298], 1.0, 'LightGoldenrod4'],
    ['RGB', [0.933, 0.933, 0.82], 1.0, 'LightYellow2'],
    ['RGB', [0.804, 0.804, 0.706], 1.0, 'LightYellow3'],
    ['RGB', [0.545, 0.545, 0.478], 1.0, 'LightYellow4'],
    ['RGB', [0.933, 0.933, 0.0], 1.0, 'Yellow2'],
    ['RGB', [0.804, 0.804, 0.0], 1.0, 'Yellow3'],
    ['RGB', [0.545, 0.545, 0.0], 1.0, 'Yellow4'],
    ['RGB', [0.933, 0.788, 0.0], 1.0, 'Gold2'],
    ['RGB', [0.804, 0.678, 0.0], 1.0, 'Gold3'],
    ['RGB', [0.545, 0.459, 0.0], 1.0, 'Gold4'],
    ['RGB', [1.0, 0.757, 0.145], 1.0, 'Goldenrod1'],
    ['RGB', [0.933, 0.706, 0.133], 1.0, 'Goldenrod2'],
    ['RGB', [0.804, 0.608, 0.114], 1.0, 'Goldenrod3'],
    ['RGB', [0.545, 0.412, 0.078], 1.0, 'Goldenrod4'],
    ['RGB', [1.0, 0.725, 0.059], 1.0, 'DarkGoldenrod1'],
    ['RGB', [0.933, 0.678, 0.055], 1.0, 'DarkGoldenrod2'],
    ['RGB', [0.804, 0.584, 0.047], 1.0, 'DarkGoldenrod3'],
    ['RGB', [0.545, 0.396, 0.031], 1.0, 'DarkGoldenrod4'],
    ['RGB', [1.0, 0.757, 0.757], 1.0, 'RosyBrown1'],
    ['RGB', [0.933, 0.706, 0.706], 1.0, 'RosyBrown2'],
    ['RGB', [0.804, 0.608, 0.608], 1.0, 'RosyBrown3'],
    ['RGB', [0.545, 0.412, 0.412], 1.0, 'RosyBrown4'],
    ['RGB', [1.0, 0.416, 0.416], 1.0, 'IndianRed1'],
    ['RGB', [0.933, 0.388, 0.388], 1.0, 'IndianRed2'],
    ['RGB', [0.804, 0.333, 0.333], 1.0, 'IndianRed3'],
    ['RGB', [0.545, 0.227, 0.227], 1.0, 'IndianRed4'],
    ['RGB', [1.0, 0.51, 0.278], 1.0, 'Sienna1'],
    ['RGB', [0.933, 0.475, 0.259], 1.0, 'Sienna2'],
    ['RGB', [0.804, 0.408, 0.224], 1.0, 'Sienna3'],
    ['RGB', [0.545, 0.278, 0.149], 1.0, 'Sienna4'],
    ['RGB', [1.0, 0.827, 0.608], 1.0, 'Burlywood1'],
    ['RGB', [0.933, 0.773, 0.569], 1.0, 'Burlywood2'],
    ['RGB', [0.804, 0.667, 0.49], 1.0, 'Burlywood3'],
    ['RGB', [0.545, 0.451, 0.333], 1.0, 'Burlywood4'],
    ['RGB', [1.0, 0.906, 0.729], 1.0, 'Wheat1'],
    ['RGB', [0.933, 0.847, 0.682], 1.0, 'Wheat2'],
    ['RGB', [0.804, 0.729, 0.588], 1.0, 'Wheat3'],
    ['RGB', [0.545, 0.494, 0.4], 1.0, 'Wheat4'],
    ['RGB', [1.0, 0.647, 0.31], 1.0, 'Tan1'],
    ['RGB', [0.933, 0.604, 0.286], 1.0, 'Tan2'],
    ['RGB', [0.545, 0.353, 0.169], 1.0, 'Tan4'],
    ['RGB', [1.0, 0.498, 0.141], 1.0, 'Chocolate1'],
    ['RGB', [0.933, 0.463, 0.129], 1.0, 'Chocolate2'],
    ['RGB', [0.804, 0.4, 0.114], 1.0, 'Chocolate3'],
    ['RGB', [1.0, 0.188, 0.188], 1.0, 'Firebrick1'],
    ['RGB', [0.933, 0.173, 0.173], 1.0, 'Firebrick2'],
    ['RGB', [0.804, 0.149, 0.149], 1.0, 'Firebrick3'],
    ['RGB', [0.545, 0.102, 0.102], 1.0, 'Firebrick4'],
    ['RGB', [1.0, 0.251, 0.251], 1.0, 'Brown1'],
    ['RGB', [0.933, 0.231, 0.231], 1.0, 'Brown2'],
    ['RGB', [0.804, 0.2, 0.2], 1.0, 'Brown3'],
    ['RGB', [0.545, 0.137, 0.137], 1.0, 'Brown4'],
    ['RGB', [1.0, 0.549, 0.412], 1.0, 'Salmon1'],
    ['RGB', [0.933, 0.51, 0.384], 1.0, 'Salmon2'],
    ['RGB', [0.804, 0.439, 0.329], 1.0, 'Salmon3'],
    ['RGB', [0.545, 0.298, 0.224], 1.0, 'Salmon4'],
    ['RGB', [0.933, 0.584, 0.447], 1.0, 'LightSalmon2'],
    ['RGB', [0.804, 0.506, 0.384], 1.0, 'LightSalmon3'],
    ['RGB', [0.545, 0.341, 0.259], 1.0, 'LightSalmon4'],
    ['RGB', [0.933, 0.604, 0.0], 1.0, 'Orange2'],
    ['RGB', [0.804, 0.522, 0.0], 1.0, 'Orange3'],
    ['RGB', [0.545, 0.353, 0.0], 1.0, 'Orange4'],
    ['RGB', [1.0, 0.498, 0.0], 1.0, 'DarkOrange1'],
    ['RGB', [0.933, 0.463, 0.0], 1.0, 'DarkOrange2'],
    ['RGB', [0.804, 0.4, 0.0], 1.0, 'DarkOrange3'],
    ['RGB', [0.545, 0.271, 0.0], 1.0, 'DarkOrange4'],
    ['RGB', [1.0, 0.447, 0.337], 1.0, 'Coral1'],
    ['RGB', [0.933, 0.416, 0.314], 1.0, 'Coral2'],
    ['RGB', [0.804, 0.357, 0.271], 1.0, 'Coral3'],
    ['RGB', [0.545, 0.243, 0.184], 1.0, 'Coral4'],
    ['RGB', [0.933, 0.361, 0.259], 1.0, 'Tomato2'],
    ['RGB', [0.804, 0.31, 0.224], 1.0, 'Tomato3'],
    ['RGB', [0.545, 0.212, 0.149], 1.0, 'Tomato4'],
    ['RGB', [0.933, 0.251, 0.0], 1.0, 'OrangeRed2'],
    ['RGB', [0.804, 0.216, 0.0], 1.0, 'OrangeRed3'],
    ['RGB', [0.545, 0.145, 0.0], 1.0, 'OrangeRed4'],
    ['RGB', [0.933, 0.0, 0.0], 1.0, 'Red2'],
    ['RGB', [0.804, 0.0, 0.0], 1.0, 'Red3'],
    ['RGB', [0.545, 0.0, 0.0], 1.0, 'Red4'],
    ['RGB', [0.933, 0.071, 0.537], 1.0, 'DeepPink2'],
    ['RGB', [0.804, 0.063, 0.463], 1.0, 'DeepPink3'],
    ['RGB', [0.545, 0.039, 0.314], 1.0, 'DeepPink4'],
    ['RGB', [1.0, 0.431, 0.706], 1.0, 'HotPink1'],
    ['RGB', [0.933, 0.416, 0.655], 1.0, 'HotPink2'],
    ['RGB', [0.804, 0.376, 0.565], 1.0, 'HotPink3'],
    ['RGB', [0.545, 0.227, 0.384], 1.0, 'HotPink4'],
    ['RGB', [1.0, 0.71, 0.773], 1.0, 'Pink1'],
    ['RGB', [0.933, 0.663, 0.722], 1.0, 'Pink2'],
    ['RGB', [0.804, 0.569, 0.62], 1.0, 'Pink3'],
    ['RGB', [0.545, 0.388, 0.424], 1.0, 'Pink4'],
    ['RGB', [1.0, 0.682, 0.725], 1.0, 'LightPink1'],
    ['RGB', [0.933, 0.635, 0.678], 1.0, 'LightPink2'],
    ['RGB', [0.804, 0.549, 0.584], 1.0, 'LightPink3'],
    ['RGB', [0.545, 0.373, 0.396], 1.0, 'LightPink4'],
    ['RGB', [1.0, 0.51, 0.671], 1.0, 'PaleVioletRed1'],
    ['RGB', [0.933, 0.475, 0.624], 1.0, 'PaleVioletRed2'],
    ['RGB', [0.804, 0.408, 0.537], 1.0, 'PaleVioletRed3'],
    ['RGB', [0.545, 0.278, 0.365], 1.0, 'PaleVioletRed4'],
    ['RGB', [1.0, 0.204, 0.702], 1.0, 'Maroon1'],
    ['RGB', [0.933, 0.188, 0.655], 1.0, 'Maroon2'],
    ['RGB', [0.804, 0.161, 0.565], 1.0, 'Maroon3'],
    ['RGB', [0.545, 0.11, 0.384], 1.0, 'Maroon4'],
    ['RGB', [1.0, 0.243, 0.588], 1.0, 'VioletRed1'],
    ['RGB', [0.933, 0.227, 0.549], 1.0, 'VioletRed2'],
    ['RGB', [0.804, 0.196, 0.471], 1.0, 'VioletRed3'],
    ['RGB', [0.545, 0.133, 0.322], 1.0, 'VioletRed4'],
    ['RGB', [0.933, 0.0, 0.933], 1.0, 'Magenta2'],
    ['RGB', [0.804, 0.0, 0.804], 1.0, 'Magenta3'],
    ['RGB', [0.545, 0.0, 0.545], 1.0, 'Magenta4'],
    ['RGB', [1.0, 0.514, 0.98], 1.0, 'Orchid1'],
    ['RGB', [0.933, 0.478, 0.914], 1.0, 'Orchid2'],
    ['RGB', [0.804, 0.412, 0.788], 1.0, 'Orchid3'],
    ['RGB', [0.545, 0.278, 0.537], 1.0, 'Orchid4'],
    ['RGB', [1.0, 0.733, 1.0], 1.0, 'Plum1'],
    ['RGB', [0.933, 0.682, 0.933], 1.0, 'Plum2'],
    ['RGB', [0.804, 0.588, 0.804], 1.0, 'Plum3'],
    ['RGB', [0.545, 0.4, 0.545], 1.0, 'Plum4'],
    ['RGB', [0.878, 0.4, 1.0], 1.0, 'MediumOrchid1'],
    ['RGB', [0.82, 0.373, 0.933], 1.0, 'MediumOrchid2'],
    ['RGB', [0.706, 0.322, 0.804], 1.0, 'MediumOrchid3'],
    ['RGB', [0.478, 0.216, 0.545], 1.0, 'MediumOrchid4'],
    ['RGB', [0.749, 0.243, 1.0], 1.0, 'DarkOrchid1'],
    ['RGB', [0.698, 0.227, 0.933], 1.0, 'DarkOrchid2'],
    ['RGB', [0.604, 0.196, 0.804], 1.0, 'DarkOrchid3'],
    ['RGB', [0.408, 0.133, 0.545], 1.0, 'DarkOrchid4'],
    ['RGB', [0.608, 0.188, 1.0], 1.0, 'Purple1'],
    ['RGB', [0.569, 0.173, 0.933], 1.0, 'Purple2'],
    ['RGB', [0.49, 0.149, 0.804], 1.0, 'Purple3'],
    ['RGB', [0.333, 0.102, 0.545], 1.0, 'Purple4'],
    ['RGB', [0.671, 0.51, 1.0], 1.0, 'MediumPurple1'],
    ['RGB', [0.624, 0.475, 0.933], 1.0, 'MediumPurple2'],
    ['RGB', [0.537, 0.408, 0.804], 1.0, 'MediumPurple3'],
    ['RGB', [0.365, 0.278, 0.545], 1.0, 'MediumPurple4'],
    ['RGB', [1.0, 0.882, 1.0], 1.0, 'Thistle1'],
    ['RGB', [0.933, 0.824, 0.933], 1.0, 'Thistle2'],
    ['RGB', [0.804, 0.71, 0.804], 1.0, 'Thistle3'],
    ['RGB', [0.545, 0.482, 0.545], 1.0, 'Thistle4'],
    ['RGB', [1.0, 0.98, 0.98], 1.0, 'Snow'],
    ['RGB', [0.973, 0.973, 1.0], 1.0, 'Ghost White'],
    ['RGB', [0.961, 0.961, 0.961], 1.0, 'White Smoke'],
    ['RGB', [0.863, 0.863, 0.863], 1.0, 'Gainsboro'],
    ['RGB', [1.0, 0.98, 0.941], 1.0, 'Floral White'],
    ['RGB', [0.992, 0.961, 0.902], 1.0, 'Old Lace'],
    ['RGB', [0.98, 0.941, 0.902], 1.0, 'Linen'],
    ['RGB', [0.98, 0.922, 0.843], 1.0, 'Antique White'],
    ['RGB', [1.0, 0.937, 0.835], 1.0, 'Papaya Whip'],
    ['RGB', [1.0, 0.922, 0.804], 1.0, 'Blanched Almond'],
    ['RGB', [1.0, 0.894, 0.769], 1.0, 'Bisque'],
    ['RGB', [1.0, 0.855, 0.725], 1.0, 'Peach Puff'],
    ['RGB', [1.0, 0.871, 0.678], 1.0, 'Navajo White'],
    ['RGB', [1.0, 0.894, 0.71], 1.0, 'Moccasin'],
    ['RGB', [1.0, 0.973, 0.863], 1.0, 'Cornsilk'],
    ['RGB', [1.0, 1.0, 0.941], 1.0, 'Ivory'],
    ['RGB', [1.0, 0.98, 0.804], 1.0, 'Lemon Chiffon'],
    ['RGB', [1.0, 0.961, 0.933], 1.0, 'Seashell'],
    ['RGB', [0.941, 1.0, 0.941], 1.0, 'Honeydew'],
    ['RGB', [0.961, 1.0, 0.98], 1.0, 'Mint Cream'],
    ['RGB', [0.941, 1.0, 1.0], 1.0, 'Azure'],
    ['RGB', [0.941, 0.973, 1.0], 1.0, 'Alice Blue'],
    ['RGB', [0.902, 0.902, 0.98], 1.0, 'Lavender'],
    ['RGB', [1.0, 0.941, 0.961], 1.0, 'Lavender Blush'],
    ['RGB', [1.0, 0.894, 0.882], 1.0, 'Misty Rose'],
]
